ADDDEBUG(1)

NOME
adddebug - Modifica as Makefile(s) para adicionar informações de depuração

SINOPSE

adddebug [-k] [-r] [-n]

DESCRIçãO

O adddebug modifica as Makefiles na pasta atual (e, opcionalmente, nas suas subpastas) para adicionar informações de depuração (-g3). Irá também remover as otimizações (-O[1-9]).

Este utilitário faz parte do Kit de Desenvolvimento de Software (SDK) do KDE.

OPçõES

-k
    Mantém as otimizações (não remove as opções -O[1-9]? que são removidas por padrão).

-r
    Procura recursivamente em todas as subpastas da pasta atual e atua em todas as Makefiles encontradas.

-n
    compila sem o NDEBUG e o NO_DEBUG definidos (faz com que as chamadas kDebug funcionem)

AUTOR

Ben Burton <bab@debian.org>
    Autor.